/*
 * Copyright 2005-2010 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wamblee.wicket.behavior;

import org.apache.wicket.behavior.HeaderContributor;
import org.apache.wicket.markup.html.JavascriptPackageResource;

/**
 * Behavior that adds the org.wamblee namespace to the javascript environment and provide some 
 * generic support for writing javascript extensions. 
 * 
 * @author Erik Brakkee
 */
class SupportBehavior extends HeaderContributor {
    
    static final String SUPPORT_SCRIPT = "wamblee-support.js";

    private static HeaderContributor CACHE = JavascriptPackageResource.getHeaderContribution(
        SupportBehavior.class, SUPPORT_SCRIPT);

    /**
     * Constructs the namespace.
     */
    public SupportBehavior() {
        super(CACHE);
    }
}
